fse.vo

## Class AccessLogQuery

- java.lang.Object
- - fse.vo.AccessLogQuery

-     public class AccessLogQuery
      extends Object

  Contiene i criteri di ricerca sugli accessi al fascicoli di un assistito

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Date` | `dateFrom`
    `private Date` | `dateTo`
    `private List<String>` | `operations`
    `private String` | `patientCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessLogQuery()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getDateFrom()` Restituisce la data di inizio dell'intervallo di ricerca
    `Date` | `getDateTo()` Restituisce la data di fine dell'intervallo di ricerca
    `List<String>` | `getOperations()` Restituisce la lista delle operazioni che si sta cercando.
    `String` | `getPatientCode()` Restituisce il codice fiscale del paziente
    `void` | `setDateFrom(Date dateFrom)` Imposta la data di inizio dell'intervallo di ricerca.
    `void` | `setDateTo(Date dateTo)` Imposta la data di fine dell'intervallo di ricerca.
    `void` | `setOperations(List<String> operations)` Imposta la lista delle operazioni di cui si vuole il log.
    `void` | `setPatientCode(String patientCode)` Imposta il codice fiscale del paziente.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### patientCode

          private String patientCode

    - #### dateFrom

          private Date dateFrom

    - #### dateTo

          private Date dateTo

    - #### operations

          private List<String> operations

  - ### Constructor Detail

    - #### AccessLogQuery

          public AccessLogQuery()

  - ### Method Detail

    - #### getPatientCode

          public String getPatientCode()

      Restituisce il codice fiscale del paziente
      Returns:
        il codice fiscale del paziente

    - #### setPatientCode

          public void setPatientCode(String patientCode)

      Imposta il codice fiscale del paziente. Parametro obbligatorio.
      Parameters:
        `patientCode` - il codice fiscale del paziente

    - #### getOperations

          public List<String> getOperations()

      Restituisce la lista delle operazioni che si sta cercando. Queste coincidono con il nome del servizio richiamato.
      Returns:
        l'operazione

    - #### setOperations

          public void setOperations(List<String> operations)

      Imposta la lista delle operazioni di cui si vuole il log. Parametro facoltativo. Queste coincidono con i nomi dei servizi richiamati:
      - addDocument
      - updateDocument
      - queryDocument
      - retrieveDocument
      - setAccessPolicies
      - getAccessPolicies
      - setReadingAgreement
      - setWritingAgreement
      - getReadingAgreement
      - qetWritingAgreement
      - blindDocument
      Parameters:
        `operations` - la lista delle operazioni

    - #### getDateFrom

          public Date getDateFrom()

      Restituisce la data di inizio dell'intervallo di ricerca
      Returns:
        la data di inizio

    - #### setDateFrom

          public void setDateFrom(Date dateFrom)

      Imposta la data di inizio dell'intervallo di ricerca. Parametro facoltativo.
      Parameters:
        `dateFrom` - la data di inizio

    - #### getDateTo

          public Date getDateTo()

      Restituisce la data di fine dell'intervallo di ricerca
      Returns:
        la data di fine

    - #### setDateTo

          public void setDateTo(Date dateTo)

      Imposta la data di fine dell'intervallo di ricerca. Parametro facoltativo.
      Parameters:
        `dateTo` - la data di fine